Package org.eclipse.birt.chart.model.data

# Interface DataFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `DataFactoryImpl`

public interface DataFactory extends org.eclipse.emf.ecore.EFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `DataPackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DataFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`Action`
`createAction()`
Returns a new object of class 'Action'.
`BaseSampleData`
`createBaseSampleData()`
Returns a new object of class 'Base Sample Data'.
`BigNumberDataElement`
`createBigNumberDataElement()`
Returns a new object of class 'Big Number Data Element'.
`BubbleDataSet`
`createBubbleDataSet()`
Returns a new object of class 'Bubble Data Set'.
`DataElement`
`createDataElement()`
Returns a new object of class 'Element'.
`DataSet`
`createDataSet()`
Returns a new object of class 'Set'.
`DateTimeDataElement`
`createDateTimeDataElement()`
Returns a new object of class 'Date Time Data Element'.
`DateTimeDataSet`
`createDateTimeDataSet()`
Returns a new object of class 'Date Time Data Set'.
`DifferenceDataSet`
`createDifferenceDataSet()`
Returns a new object of class 'Difference Data Set'.
`GanttDataSet`
`createGanttDataSet()`
Returns a new object of class 'Gantt Data Set'.
`MultipleActions`
`createMultipleActions()`
Returns a new object of class 'Multiple Actions'.
`NullDataSet`
`createNullDataSet()`
Returns a new object of class 'Null Data Set'.
`NumberDataElement`
`createNumberDataElement()`
Returns a new object of class 'Number Data Element'.
`NumberDataSet`
`createNumberDataSet()`
Returns a new object of class 'Number Data Set'.
`OrthogonalSampleData`
`createOrthogonalSampleData()`
Returns a new object of class 'Orthogonal Sample Data'.
`Query`
`createQuery()`
Returns a new object of class 'Query'.
`Rule`
`createRule()`
Deprecated.
only reserved for compatibility
`SampleData`
`createSampleData()`
Returns a new object of class 'Sample Data'.
`SeriesDefinition`
`createSeriesDefinition()`
Returns a new object of class 'Series Definition'.
`SeriesGrouping`
`createSeriesGrouping()`
Returns a new object of class 'Series Grouping'.
`StockDataSet`
`createStockDataSet()`
Returns a new object of class 'Stock Data Set'.
`TextDataSet`
`createTextDataSet()`
Returns a new object of class 'Text Data Set'.
`Trigger`
`createTrigger()`
Returns a new object of class 'Trigger'.
`DataPackage`
`getDataPackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final DataFactory eINSTANCE
The singleton instance of the factory.

## Method Details

### createAction

Action createAction()
Returns a new object of class 'Action'.

Returns:
  a new object of class 'Action'.

### createBaseSampleData

BaseSampleData createBaseSampleData()
Returns a new object of class 'Base Sample Data'.

Returns:
  a new object of class 'Base Sample Data'.

### createBigNumberDataElement

BigNumberDataElement createBigNumberDataElement()
Returns a new object of class 'Big Number Data Element'.

Returns:
  a new object of class 'Big Number Data Element'.

### createBubbleDataSet

BubbleDataSet createBubbleDataSet()
Returns a new object of class 'Bubble Data Set'.

Returns:
  a new object of class 'Bubble Data Set'.

### createDataElement

DataElement createDataElement()
Returns a new object of class 'Element'.

Returns:
  a new object of class 'Element'.

### createDataSet

DataSet createDataSet()
Returns a new object of class 'Set'.

Returns:
  a new object of class 'Set'.

### createDateTimeDataElement

DateTimeDataElement createDateTimeDataElement()
Returns a new object of class 'Date Time Data Element'.

Returns:
  a new object of class 'Date Time Data Element'.

### createDateTimeDataSet

DateTimeDataSet createDateTimeDataSet()
Returns a new object of class 'Date Time Data Set'.

Returns:
  a new object of class 'Date Time Data Set'.

### createDifferenceDataSet

DifferenceDataSet createDifferenceDataSet()
Returns a new object of class 'Difference Data Set'.

Returns:
  a new object of class 'Difference Data Set'.

### createGanttDataSet

GanttDataSet createGanttDataSet()
Returns a new object of class 'Gantt Data Set'.

Returns:
  a new object of class 'Gantt Data Set'.

### createMultipleActions

MultipleActions createMultipleActions()
Returns a new object of class 'Multiple Actions'.

Returns:
  a new object of class 'Multiple Actions'.

### createNullDataSet

NullDataSet createNullDataSet()
Returns a new object of class 'Null Data Set'.

Returns:
  a new object of class 'Null Data Set'.

### createNumberDataElement

NumberDataElement createNumberDataElement()
Returns a new object of class 'Number Data Element'.

Returns:
  a new object of class 'Number Data Element'.

### createNumberDataSet

NumberDataSet createNumberDataSet()
Returns a new object of class 'Number Data Set'.

Returns:
  a new object of class 'Number Data Set'.

### createOrthogonalSampleData

OrthogonalSampleData createOrthogonalSampleData()
Returns a new object of class 'Orthogonal Sample Data'.

Returns:
  a new object of class 'Orthogonal Sample Data'.

### createQuery

Query createQuery()
Returns a new object of class 'Query'.

Returns:
  a new object of class 'Query'.

### createRule

@Deprecated Rule createRule()
Deprecated.
only reserved for compatibility
Returns a new object of class 'Rule'.

Returns:
  a new object of class 'Rule'.

### createSampleData

SampleData createSampleData()
Returns a new object of class 'Sample Data'.

Returns:
  a new object of class 'Sample Data'.

### createSeriesDefinition

SeriesDefinition createSeriesDefinition()
Returns a new object of class 'Series Definition'.

Returns:
  a new object of class 'Series Definition'.

### createSeriesGrouping

SeriesGrouping createSeriesGrouping()
Returns a new object of class 'Series Grouping'.

Returns:
  a new object of class 'Series Grouping'.

### createStockDataSet

StockDataSet createStockDataSet()
Returns a new object of class 'Stock Data Set'.

Returns:
  a new object of class 'Stock Data Set'.

### createTextDataSet

TextDataSet createTextDataSet()
Returns a new object of class 'Text Data Set'.

Returns:
  a new object of class 'Text Data Set'.

### createTrigger

Trigger createTrigger()
Returns a new object of class 'Trigger'.

Returns:
  a new object of class 'Trigger'.

### getDataPackage

DataPackage getDataPackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.